Docs‎ > ‎Architecture‎ > ‎

Supported Platforms

CA Live API Creator supports the following versions of software. Maintain the minimum requirements for a host machine running Live API Creator:

RequirementMinimum
NetworkingIPv4 or IPv6 interface
ProcessorOne or more core processors, 2 GHz or faster.

Recommended: Dual-core processor

Memory1 GB with 400 MB Java heap size
Recommended: 8 GB or higher
Operating Systems
A dedicated server running one of the following:
  • Redhat Enterprise Linux 6.0 and higher
  • CentOS 6.5 or higher
  • Windows 7
  • Windows 8
  • Microsoft Windows Server 2008
  • Microsoft Windows Server 2012
  • Mac OSX 10.10
  • Amazon Linux 3.14
Deployment in Amazon Web Services environment, including AWS Elastic BeanStalk, is supported.
Deployment in Pivotal Cloud Foundry is also supported
Web Browsers
  • Chrome 
  • Safari
  • Internet Explorer 11
  • Firefox
Use the latest production-level versions of these browsers whenever possible. Do not use development, test, or beta versions of these browsers. Versions that are not publicly released might not work properly with Live API Creator.
Databases
  • IBM DB2 for z/OS
  • IBM DB2 v10.5 for Linux, Unix, and Windows
  • MySQL 5.5.36 or higher
  • MySQL 5.6.19 or higher
  • MariaDB, Amazon Aurora, and other 100% MySQL-compatible databases
  • Oracle 11g or higher
  • Microsoft SQL Server 2012 version 11.0
  • Microsoft SQL Server 2008 R2 or higher
  • PostgreSQL 9.0 or higher
  • NuoDB 2.0 or higher
  • Apache Derby/JavaDB version 10.8 or higher
  • MongoDB 2.4 or higher
Admin Databases
  • MySQL 5.6.x (tested version: 5.6.23) with root user and password
  • MariaDB 10.x (tested version: 10.1) with root user and password
    • 500 MB for tablespace (1 - 10 GB recommended)
  • Apache Derby/JavaDB version 10.8 or higher
Note: You can run Live API Creator with an embedded JavaDB database for demonstration and evaluation purposes. MySQL and MariaDB are not required for these purposes.
Drivers
  • IBM DB2 JDBC driver (db2jcc4.jar) tested version: 4.19.26 for DB2 10.5fp6. This driver supports IBM DB2 for z/OS and IBM DB2 v10.5 for Linux, Unix, and Windows. 
Note: For DB2 z/OS, this driver may require that you install a license jar, named something like db2jcc_license_abcde.jar. You must install this file in the same location as the db2jcc4.jar file.
  • MySQL JDBC 5.1.26 or MariaDB JDBC 1.2.3
  • Oracle JDBC 12.1
  • Microsoft SQL Server JDBC 4.0
  • PostgreSQL JDBC 9.4
  • JavaDB/Derby 10.12
  • NuoDB JDBC 1.0
Note that the JDBC drivers for DB2, Oracle and SQL Server are not included in the product: you will need to obtain them directly from the vendors.
Java 
  •  Java SE Development Kit (JDK) 1.7.0 u75 or 1.8.0 u40
  • OpenJDK 1.7 and higher
Java Containers
  • Apache Tomcat 7 and 8
  • Java Servlet Container: Apache Tomcat 7.x (tested version 7.0.64) or Tomcat 8.x (tested version 8.0.28)
  • Jetty 8
  • Glassfish 4.0
Runtime EnvironmentNode.js 4.x 
API DocumentationSwagger version 2.0